Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039764
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2018-12-05 12:462018-12-12 13:59
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision759dcd28bd8d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039764: Log format changes during build after running ant run.all.tests

DescriptionAnt test tasks (run.all.tests, run.quick.tests, run.test, run.webservice.tests) copies all .xml files found in src-test/src to build/classes. Since 0039504, log4j2-test.xml is copied and some build tasks shows the test console format instead of the build one.
Steps To ReproduceHaving an installed environment (ant install.source), run the following commands:
- ant run.quick.tests
- ant compile

Then you'll see that starting from the postwad: task the format changes. From:

[java] 11690 [main] INFO org.openbravo.wad.Wad - Processing Window: Work Requirement - Tab: Operation - id: 800112

Which shows the time since the JVM started in milliseconds to:

[java] 13:57:38.466 INFO org.openbravo.data.Sqlc - strFileProperties: /home/openbravo/Projects/issues/pi/config/Openbravo.properties

Showing the time in HH:mm:ss.SSS format, which is used by tests.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039504 closedjarmendariz Upgrade Log4j to version 2 

-  Notes
(0108408)
hgbot (developer)
2018-12-11 17:26

Repository: erp/devel/pi
Changeset: 759dcd28bd8dfaa1b2ad5b6c3ebd51937639383d
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Dec 05 14:01:00 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/759dcd28bd8dfaa1b2ad5b6c3ebd51937639383d [^]

Fixed issue 39764: Log format changes during build after running run.all.tests.

In build tasks, all .xml files found in src-test/src are copied to build/classes.
Now the only xml file available in this location is log4j2-test, so there is no
need to perform this task before running tests.

---
M src-test/build.xml
---
(0108548)
hudsonbot (developer)
2018-12-12 13:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1a781af6612 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-12-05 12:46 jarmendariz New Issue
2018-12-05 12:46 jarmendariz Assigned To => platform
2018-12-05 12:46 jarmendariz Modules => Core
2018-12-05 12:46 jarmendariz Triggers an Emergency Pack => No
2018-12-05 13:01 jarmendariz Assigned To platform => jarmendariz
2018-12-05 13:02 jarmendariz Status new => scheduled
2018-12-05 13:02 jarmendariz Relationship added related to 0039504
2018-12-05 14:00 jarmendariz Steps to Reproduce Updated View Revisions
2018-12-11 17:26 hgbot Checkin
2018-12-11 17:26 hgbot Note Added: 0108408
2018-12-11 17:26 hgbot Status scheduled => resolved
2018-12-11 17:26 hgbot Resolution open => fixed
2018-12-11 17:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/759dcd28bd8dfaa1b2ad5b6c3ebd51937639383d [^]
2018-12-11 17:27 jarmendariz Review Assigned To => alostale
2018-12-12 13:59 hudsonbot Checkin
2018-12-12 13:59 hudsonbot Note Added: 0108548


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker